// ****************************************************************** 
//       * Functions triggered by events in client user interface
// ******************************************************************

// ************************************************************************************
// Name   : client_SetLoopbackType()
// Purpose: Called when user selects a Loopback type.
//          This function extracts the combo box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetLoopbackType()
{
   var anElement = Get_Iframe_Element( 'LoopbackTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Loopback Type"))
      {
         serverTestCarIntf.SetLoopbackType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};

// ************************************************************************************
// Name   : client_SetCarrierType()
// Purpose: Called when user selects a carrier type.
//          This function extracts the combo box value and sends the value to the server.
// Inputs : NONE
// Outputs: NONE
function client_SetCarrierType()
{
   var anElement = Get_Iframe_Element( 'CarrierTypeSelect' ) ;
   if ( anElement )
   {
      if (IsChangeConfirmed("Carrier Type"))
      {
         serverTestCarIntf.SetCarrierType(parseInt(anElement.value, 10));
         Focus_Iframe();
      }
   }
};


// ************************************************************************************
// Name   : client_SetTestCarStatusUpdate()
// Purpose: Called when the current iFrame loads
// Inputs : NONE
// Outputs: NONE
function client_SetTestCarStatusUpdate()
{
   serverTestCarIntf.SetTestCarSelectContentUpdate();
   serverTestCarIntf.SetTestCarStatusUpdate();
};


// ****************************************************************** 
// * Functions called asynchronously from the server.
// ******************************************************************

function asyncUpdateTestLoopbackTypeStatus(aLoopbackType)
{
   var anElement = Get_Iframe_Element( 'LoopbackTypeSelect' ) ;
   if ( anElement )	      // Set loopback type
      anElement.value = aLoopbackType;
}

function asyncUpdateTestCarrierTypeStatus(aCarrierType)
{
   var anElement = Get_Iframe_Element( 'CarrierTypeSelect' ) ;
   if ( anElement )	           // Set carrier type 
      anElement.value = aCarrierType;
}

// ****************************************************************** 
// * Functions to update the select content.
// ******************************************************************

function asyncUpdateTestLoopbackTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'LoopbackTypeSelect', aSelectContent );
}

function asyncUpdateTestCarrierTypeSelectContent(aSelectContent)
{
   Update_Iframe_Element_Select_Content( 'CarrierTypeSelect', aSelectContent );
}

